summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Brouwers <abrouwers@gmail.com>2010-05-11 15:00:29 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:00:29 +0200
commitf0e6e7a7f55818e13dfed57c43643e8e5592b7ca (patch)
tree798b3d02c0d310055162a8d9170eaead5dfe263b
parent380ee39960e847bc64d36e775eca06c78659d963 (diff)
downloadslackbuilds-f0e6e7a7f55818e13dfed57c43643e8e5592b7ca.tar.gz
slackbuilds-f0e6e7a7f55818e13dfed57c43643e8e5592b7ca.tar.xz
multimedia/mt-daapd: Initial import
-rw-r--r--multimedia/mt-daapd/README22
-rw-r--r--multimedia/mt-daapd/doinst.sh15
-rw-r--r--multimedia/mt-daapd/mt-daapd.SlackBuild78
-rw-r--r--multimedia/mt-daapd/mt-daapd.info8
-rw-r--r--multimedia/mt-daapd/rc.mt-daapd35
-rw-r--r--multimedia/mt-daapd/slack-desc7
6 files changed, 165 insertions, 0 deletions
diff --git a/multimedia/mt-daapd/README b/multimedia/mt-daapd/README
new file mode 100644
index 0000000000..935c8ffef1
--- /dev/null
+++ b/multimedia/mt-daapd/README
@@ -0,0 +1,22 @@
+mt-daapd is an iTunes server for POSIX systems. When run, iTunes will see the
+music as a shared library to other clients on the LAN, just as the OS X and
+Windows clients.
+
+To work properly, the music must be located on the same filesystem on which
+the daemon is running. Also, a template has been placed in /etc/mt-daapd.conf
+This file should be edited before the daemon is run.
+
+An init script has been included for the daemon; to run at boot time, add the
+following to /etc/rc.d/rc.local:
+
+ if [ -x /etc/rc.d/rc.mt-daapd ]; then
+ /etc/rc.d/rc.mt-daapd start
+ fi
+
+You might also want to have the daemon shut down gracefully on system halt or
+reboot; if so, add the following to /etc/rc.d/rc.local_shutdown:
+
+ if [ -x /etc/rc.d/rc.mt-daapd ]; then
+ /etc/rc.d/rc.mt-daapd stop
+ fi
+
diff --git a/multimedia/mt-daapd/doinst.sh b/multimedia/mt-daapd/doinst.sh
new file mode 100644
index 0000000000..51a2af9bf6
--- /dev/null
+++ b/multimedia/mt-daapd/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/rc.d/rc.mt-daapd.new
+config etc/mt-daapd.conf.new
diff --git a/multimedia/mt-daapd/mt-daapd.SlackBuild b/multimedia/mt-daapd/mt-daapd.SlackBuild
new file mode 100644
index 0000000000..35ec45650b
--- /dev/null
+++ b/multimedia/mt-daapd/mt-daapd.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for mt-daapd
+
+# Copyright 2006 Andrew Brouwers <abrouwers@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=mt-daapd
+VERSION=0.2.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# Install init script for mt-daapd
+install -D -m 0755 $CWD/rc.mt-daapd $PKG/etc/rc.d/rc.mt-daapd.new || exit 1
+
+# Config file - default is good, but don't overwrite an existing
+install -D -m 0644 contrib/mt-daapd.conf $PKG/etc/mt-daapd.conf.new || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/mt-daapd/mt-daapd.info b/multimedia/mt-daapd/mt-daapd.info
new file mode 100644
index 0000000000..6cbede45a8
--- /dev/null
+++ b/multimedia/mt-daapd/mt-daapd.info
@@ -0,0 +1,8 @@
+PRGNAM="mt-daapd"
+VERSION="0.2.4"
+HOMEPAGE="http://mt-daapd.org"
+DOWNLOAD="http://dl.sourceforge.net/mt-daapd/mt-daapd-0.2.4.tar.gz"
+MD5SUM="2e1cdbe6b94ef153e915806f80a28dca"
+MAINTAINER="Andrew Brouwers"
+EMAIL="abrouwers@gmail.com"
+APPROVED="robw810"
diff --git a/multimedia/mt-daapd/rc.mt-daapd b/multimedia/mt-daapd/rc.mt-daapd
new file mode 100644
index 0000000000..c2d88322b7
--- /dev/null
+++ b/multimedia/mt-daapd/rc.mt-daapd
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# mt-daapd iTunes music server daemon.
+#
+
+start() {
+ if [ -x /usr/sbin/mt-daapd ]; then
+ echo "Starting mt-daapd iTunes server: /usr/sbin/mt-daapd"
+ /usr/sbin/mt-daapd -c /etc/mt-daapd.conf 2> /dev/null
+ sleep 1
+ fi
+}
+
+stop() {
+ echo "Killing mt-daapd iTunes server... "
+ killall /usr/sbin/mt-daapd 2> /dev/null
+}
+
+# How to call it.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ sleep 1
+ start
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ ;;
+esac
diff --git a/multimedia/mt-daapd/slack-desc b/multimedia/mt-daapd/slack-desc
new file mode 100644
index 0000000000..f3123190c9
--- /dev/null
+++ b/multimedia/mt-daapd/slack-desc
@@ -0,0 +1,7 @@
+mt-daapd: mt-daapd - an iTunes server for POSIX systems.
+mt-daapd:
+mt-daapd: mt-daapd is a program which acts as an iTunes (DAAP) server for
+mt-daapd: linux and other POSIX unixes.
+mt-daapd:
+mt-daapd:
+mt-daapd: